View a markdown version of this page

ListSessions - Amazon EMR Serverless

ListSessions

Lists sessions for the specified application. You can filter sessions by state and creation time.

Request Syntax

GET /applications/applicationId/sessions?createdAtAfter=createdAtAfter&createdAtBefore=createdAtBefore&maxResults=maxResults&nextToken=nextToken&states=states HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

applicationId

The ID of the application to list sessions for.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

Required: Yes

createdAtAfter

The lower bound of the option to filter by creation date and time.

createdAtBefore

The upper bound of the option to filter by creation date and time.

maxResults

The maximum number of sessions to return in each page of results.

Valid Range: Minimum value of 1. Maximum value of 50.

nextToken

The token for the next set of session results.

Length Constraints: Minimum length of 1. Maximum length of 1024.

Pattern: [A-Za-z0-9_=-]+

states

An optional filter for session states. Note that if this filter contains multiple states, the resulting list will be grouped by the state.

Array Members: Minimum number of 1 item. Maximum number of 8 items.

Valid Values: SUBMITTED | STARTING | STARTED | IDLE | BUSY | FAILED | TERMINATING | TERMINATED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "sessions": [ { "applicationId": "string", "arn": "string", "createdAt": number, "createdBy": "string", "executionRoleArn": "string", "name": "string", "releaseLabel": "string", "sessionId": "string", "state": "string", "stateDetails": "string", "updatedAt": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The output displays the token for the next set of session results. This is required for pagination and is available as a response of the previous request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Pattern: [A-Za-z0-9_=-]+

sessions

The output lists information about the specified sessions.

Type: Array of SessionSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServerException

Request processing failed because of an error or failure with the service.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found.

HTTP Status Code: 404

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: